#ifndef EDGE_H
#define EDGE_H

#include <QDateTime>
#include <QVariantMap>

class Edge
{
	public:
//		Edge(int source, int target);
//		~Edge();

		int source;
		int target;
		QDateTime start;

};

typedef QMap<QPair<int,int>,Edge*> EdgeSet;

Edge *edgeFromPair(int source, int target, QDateTime start);
Edge *edgeFromReply(QVariantMap reply);
Edge *edgeFromRetweet(QVariantMap retweet);

#endif // EDGE_H
