#ifndef HASHTAGSET_H
#define HASHTAGSET_H

#include <QString>
#include <QSet>

class HashtagSet : public QSet<QString>
{
	public:
		QString toLimitedString(QString limiter = "|")
		{
			if(size())
			{
				QString result = (*begin());
				for(HashtagSet::Iterator it = begin() + 1; it != end(); it++)
				{
					result.append(limiter);
					result.append(*it);
				}
				return result;
			}
			else
			{
				return "";
			}
		}
};

#endif // HASHTAGSET_H
