#include "setting.h"

Setting::Setting(QObject *parent) : QObject(parent)
{
	datasift = new IdpsswdContainer(this, false);
	twitter = new IdpsswdContainer(this, true);
}

Setting::~Setting()
{
	delete datasift;
	delete twitter;
}

void Setting::setRuntime(int runtime)
{
	_runtime = runtime;
}

int Setting::runtime()
{
	return _runtime;
}

void Setting::setNodetime(int nodetime)
{
	_nodetime = nodetime;
}

int Setting::nodetime()
{
	return _nodetime;
}

void Setting::setEdgetime(int edgetime)
{
	_edgetime = edgetime;
}

int Setting::edgetime()
{
	return _edgetime;
}

void Setting::setLog(QTextBrowser * log)
{
	_log = log;
}

void Setting::logWrite(QString log)
{
	_log->append(log);
}
