#include "node.h"

Node *nodeFromTweet(QVariantMap tweet)
{
	if(!tweet["deleted"].isNull()) return NULL;

	Node *node = new Node;

	if(!tweet["twitter"].toMap()["retweet"].isNull())
	{
		node->id = tweet["twitter"].toMap()["retweet"].toMap()["user"].toMap()["id"].toInt();
		node->name = tweet["twitter"].toMap()["retweet"].toMap()["user"].toMap()["name"].toString();
		node->screen_name = tweet["twitter"].toMap()["retweet"].toMap()["user"].toMap()["screen_name"].toString();
		node->start = QDateTime::fromString(tweet["twitter"].toMap()["retweet"].toMap()["created_at"].toString(), "ddd, dd MMM yyyy h:mm:ss +0000");
																												// Tue, 15 Nov 2011 14:17:55 +0000
		node->weight = 1;

		QString tweet_str = tweet["twitter"].toMap()["retweet"].toMap()["text"].toString();
		QRegExp rx("#\\w+");
		int pos = 0;
		while((pos = rx.indexIn(tweet_str, pos)) != -1)
		{
			node->hashtags.insert(rx.cap());
			pos += rx.matchedLength();
		}
	}
	else
	{
		node->id = tweet["twitter"].toMap()["user"].toMap()["id"].toInt();
		node->name = tweet["twitter"].toMap()["user"].toMap()["name"].toString();
		node->screen_name = tweet["twitter"].toMap()["user"].toMap()["screen_name"].toString();
		node->start = QDateTime::fromString(tweet["twitter"].toMap()["created_at"].toString(), "ddd, dd MMM yyyy h:mm:ss +0000");
																							// Tue, 15 Nov 2011 14:17:55 +0000
		node->weight = 1;

		QString tweet_str = tweet["twitter"].toMap()["text"].toString();
		QRegExp rx("#\\w+");
		int pos = 0;
		while((pos = rx.indexIn(tweet_str, pos)) != -1)
		{
			node->hashtags.insert(rx.cap());
			pos += rx.matchedLength();
		}
	}
	return node;
}
