#ifndef NODE_H
#define NODE_H

#include <QDateTime>
#include <QRegExp>
#include <QVariantMap>

#include "hashtagSet.h"

class Node
{
	public:
//			Node();	//QVariantMap interraction);
//			~Node();

		int id;
		int weight;
		QString name;
		QString screen_name;
		QDateTime start;

		HashtagSet hashtags;
};

typedef QMap<int,Node*> NodeSet;

Node *nodeFromTweet(QVariantMap tweet);


#endif // NODE_H
